Package org.apache.sling.installer.core.impl.serializer

# Class JsonConfigurationSerializer

java.lang.Object
org.apache.sling.installer.core.impl.serializer.JsonConfigurationSerializer

All Implemented Interfaces:
  `ConfigurationSerializer`

public class JsonConfigurationSerializer extends Object implements ConfigurationSerializer
Serializes dictionary configuration objects (as specified in the configuration admin) into JSON format.

See Also:
  - OSGi Configurator Spec

## Constructor Summary

Constructors
Constructor
Description
`JsonConfigurationSerializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`serialize(Dictionary<String,Object> dictionary, OutputStream outputStream)`
Serializes the given dictionary (usually retrieved from OSGi Config Admin) into a specific format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonConfigurationSerializer

public JsonConfigurationSerializer()

## Method Details

### serialize

public void serialize(Dictionary<String,Object> dictionary, OutputStream outputStream) throws IOException
Description copied from interface: `ConfigurationSerializer`
Serializes the given dictionary (usually retrieved from OSGi Config Admin) into a specific format. Leaves the output stream open.

Specified by:
  `serialize` in interface `ConfigurationSerializer`
Parameters:
  `dictionary` -
  `outputStream` -
Throws:
  `IOException`